# Uses of Interface
org.apache.lucene.codecs.uniformsplit.IndexDictionary.Browser

Packages that use IndexDictionary.Browser
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.

- ## Uses of IndexDictionary.Browser in org.apache.lucene.codecs.uniformsplit

  Classes in org.apache.lucene.codecs.uniformsplit that implement IndexDictionary.Browser
  Modifier and Type
  Class
  Description
  `protected class`
  `FSTDictionary.Browser`
  Stateful `FSTDictionary.Browser` to seek a term in this `FSTDictionary` and get its corresponding block file pointer in the block file.
  Fields in org.apache.lucene.codecs.uniformsplit declared as IndexDictionary.Browser
  Modifier and Type
  Field
  Description
  `protected IndexDictionary.Browser`
  BlockReader.`dictionaryBrowser`
  Holds the `IndexDictionary.Browser` once loaded.
  Methods in org.apache.lucene.codecs.uniformsplit that return IndexDictionary.Browser
  Modifier and Type
  Method
  Description
  `IndexDictionary.Browser`
  IndexDictionary.`browser()`
  Creates a new `IndexDictionary.Browser`.
  `IndexDictionary.Browser`
  FSTDictionary.BrowserSupplier.`get()`
  `protected IndexDictionary.Browser`
  BlockReader.`getOrCreateDictionaryBrowser()`